summaryrefslogtreecommitdiff
path: root/target/device/Atmel/atstk100x/target_skeleton/etc/init.d/S42httpd
diff options
context:
space:
mode:
authorJohn Voltz <john.voltz@gmail.com>2008-04-24 11:22:06 +0000
committerJohn Voltz <john.voltz@gmail.com>2008-04-24 11:22:06 +0000
commit701475f791025cfb08e9b8cee35bb63ca772416f (patch)
tree42f671f8309e37ab70f18bca35265a097fc90cd0 /target/device/Atmel/atstk100x/target_skeleton/etc/init.d/S42httpd
parentb4173a87fec4e0f5ac497a6b1581279fdb5042be (diff)
This patch renames the Atmel atstk1002 target board to a more generic atstk100x name. This to make it easier to add support for other CPU-boards than atstk1002.
Submitted by Hans-Christian Egtvedt
Diffstat (limited to 'target/device/Atmel/atstk100x/target_skeleton/etc/init.d/S42httpd')
-rw-r--r--target/device/Atmel/atstk100x/target_skeleton/etc/init.d/S42httpd16
1 files changed, 16 insertions, 0 deletions
diff --git a/target/device/Atmel/atstk100x/target_skeleton/etc/init.d/S42httpd b/target/device/Atmel/atstk100x/target_skeleton/etc/init.d/S42httpd
new file mode 100644
index 000000000..f8e7813e6
--- /dev/null
+++ b/target/device/Atmel/atstk100x/target_skeleton/etc/init.d/S42httpd
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+HTTPD=/usr/sbin/httpd
+
+echo -n "Starting httpd: "
+if [ ! -x "${HTTPD}" ]; then
+ echo "missing"
+ exit 1
+fi
+
+if ${HTTPD} -h /www; then
+ echo "done"
+else
+ echo "failed"
+ exit 1
+fi